Subject: Re: [Tsvwg] A query

From: Randall Stewart <[email-masked]>
Date: Tue, 03 Jun 2003 17:33:21 -0500

Caitlin Bestler wrote:
>>Umesh Vats wrote:
>>
>>>Can an SCTP endpoint use different set of source address for different
>>>associations
>>>origination/terminating on it ? E.g, suppose an endpoint 
>>
>>(ASP/SGP/IPSP) has
>>
>>>source(self)
>>>IP addresses A, B, C, D, E, F and G.
>>>
>>>Can this endpoint assign source addresses to three associations as :
>>>       Assoc 1     :  A, B, C
>>>       Assoc 2     :  C, D, E
>>>       Assoc 3     :  F, G
>>>
>>>Umesh Vats
>>>
> 
> 
> In addition to whatever limitations the local stack may have, you have
> to consider how things would look to the remote end if multiple of
> these endpoints attempted to connected to the same remote endpoint.
> 
> If Assoc 1 and Assoc 2 had the same port number, I believe there would
> be problems attempting to form an association with the same remote endpoint.
> It would appear that the host that included C was trying to change its list
> of IP addresses. While the remote host would never realize that Assoc 1 and
> Assoc 3 were the same machine. Ditto for Assoc 2 and Assoc 3.
> 

Well.. maybe.. it depends on what  addresses are listed by
the endpoints.

If I send a INIT(A,B,C)---------> E-X
and
           INIT(D,E)-----------------> E-X

I can and do setup two assocations and both sides can tell the
difference.... as long as the two init's don't have an overlapping
set of addresses.. That is what would cause a problem :-0

R

> 
> _______________________________________________
> tsvwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/tsvwg
> 
> 

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg